Package com.emc.documentum.rest.paging

# Class PageUri<T>

java.lang.Object
com.emc.documentum.rest.paging.PageUri<T>

Type Parameters:
  `T` - object class in the page

public class PageUri<T> extends Object
The URI info for pagination.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageUri(Page<T> page, UriInfo uriInfo)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `current()`
  Current page URI, which is the same as request URI
  `String`
  `first()`
  First page URI, the page number always start with 1, and items-per-page should be the same as the one in request
  `UriInfo`
  `getUriInfo()`
  Return the URI info of the page.
  `String`
  `last()`
  Last page URI, return null if total is unknown
  `String`
  `next()`
  Next page URI, if there is no next page (this is the last page or this page does not contain items per page requested), null will be returned
  `String`
  `prev()`
  Previous page URI, if there is no previous page (this is the first page), null will be returned

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PageUri

    public PageUri(Page<T> page, UriInfo uriInfo)
    Constructor
    Parameters:
      `page` - a page
      `uriInfo` - the URI info for the page

- ## Method Details

  - ### getUriInfo

    public UriInfo getUriInfo()
    Return the URI info of the page.
    Returns:
      the URI info

  - ### current

    public String current()
    Current page URI, which is the same as request URI
    Returns:
      current page URI

  - ### first

    public String first()
    First page URI, the page number always start with 1, and items-per-page should be the same as the one in request
    Returns:
      first page URI

  - ### last

    public String last()
    Last page URI, return null if total is unknown
    Returns:
      last page URI

  - ### prev

    public String prev()
    Previous page URI, if there is no previous page (this is the first page), null will be returned
    Returns:
      previous page URI

  - ### next

    public String next()
    Next page URI, if there is no next page (this is the last page or this page does not contain items per page requested), null will be returned
    Returns:
      next page URI